#ifndef PEVIEWQTPRIVATE_H
#define PEVIEWQTPRIVATE_H

#include "VsView.h"

class PEViewQtPrivate : public CVsView
{
public:
    PEViewQtPrivate(HWND hwnd);


    virtual BOOL OnMouseWheel(UINT nFlags, short zDelta, POINT point);

    void OnLButtonDown(UINT nFlags, POINT point);
    void OnLButtonUp(UINT nFlags, POINT point);
    void OnRButtonDown(UINT nFlags, POINT point);
    void OnRButtonUp(UINT nFlags, POINT point);
    void OnMButtonDown(UINT nFlags, POINT point);
    void OnMButtonUp(UINT nFlags, POINT point);
    void OnMButtonDblClk(UINT nFlags, POINT point);
    void OnLButtonDblClk(UINT nFlags, POINT point);
    void OnMouseMove(UINT nFlags, POINT point);
    void OnMouseLeave();

    void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
    void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
    void OnContextMenu(POINT point);

private:
    bool m_bMouseTracking;
    HWND m_hWnd;
    int  m_3dMode;
    POINT m_rclikPoint;
};

#endif
